/*Ghassan Fakher
 * section 6
 * gkf01
 * 201301739*/
//a program that tests different operations related to arrays
public class ArrayOps {
	public static void main(String[] args)
	{
		int n = Integer.parseInt(args[0]);
		double[] a = {1., 2., 3., 6., 10., 5.};
		int min = Integer.parseInt(args[1]);
		int max = Integer.parseInt(args[2]);
		for(int i = 0; i < n; i++)
		{
			System.out.print(generate1D(n)[i] + " ");
		}
		System.out.println();
		for(int i = 0; i < n; i++)
		{
			System.out.print(generate1D(n, min, max)[i] + " ");
		}
		System.out.println();
		System.out.println("The sum of the numbers in the array is " + sum(a));
		System.out.println("The sum of numbers in the array less than the average is " + sumLessThanAverage(a));
	}
	//generate and return an array of doubles with n elements filled with random numbers from 0 to 1
	public static double[] generate1D(int n)
	{
		double[] randomArray = new double[n];
		for(int i = 0; i<n; i++)
		{
			randomArray[i] = Math.random();
		}
		return randomArray;
	}
	//generate and return a 1D array of doubles filled with random doubles between min and max
	public static double[] generate1D(int n, int min, int max)
	{
		double[] randomArray = new double[n];
		for(int i = 0; i<n; i++)
		{
			double random = Math.random() * max;
			if(random >= 0 && random <= min)
				randomArray[i] = random + min;
			else
				randomArray[i] = random;				
		}
		return randomArray;
	}
	//returns the sum of all the entries of a 1D array
	public static double sum(double[] a)
	{
		double sum = 0;
		for(int i = 0; i < a.length; i++)
			sum = sum + a[i];
		return sum;
	}
	//returns the sum of the entries that are less than the average of the array elements
	public static double sumLessThanAverage(double[] a)
	{
		double sum = 0;
		double sum2 = 0;
		for(int i = 0; i < a.length; i++)
			sum = sum + a[i];
		double average = sum / a.length;
		for(int i = 0; i < a.length; i++)
		{
			if(a[i] < average)
			{
				sum2 = sum2 + a[i];
			}				
		}
		return sum2;
	}
}

