/*Ghassan Fakher
 * section 6
 * gkf01
 * 201301739*/
public class Caesar {
	public static void main(String[] args)
	{
		char[] alphabet={'A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z'};
		String[] words = new String[args.length-1];
		int k = Integer.parseInt(args[0]);
		for(int i = 1; i <= args.length - 1; i++)
		{
			words[i-1] = args[i];
		}
		String[] code = new String[args.length-1];  
		for(int i = 0; i < words.length; i++)  
		{
			code[i]=codeWord(words[i], k, alphabet);
		}
		for (int i=0; i< code.length; i++) 
		{
			System.out.print(code[i] + " ");
		}
	}
	//method that formulated a string made up of the ciphered characters 
	public static String codeWord(String words, int k, char[] alphabet) 
	{
		String CodedWord=""; 
		for(int indexOfWord=0; indexOfWord<words.length(); indexOfWord++) //indexOfWord is the index of the given string
		{
			CodedWord+=letterCode(words.charAt(indexOfWord), k, alphabet);
		}
		return CodedWord;
	}
	// method that writes the accepted character in caesar code
	public static char letterCode(char letterInWord, int k, char[] alphabet) 
	{
		char[] cipher=cipheredAlphabet(alphabet, k);
		char codeCharacter=letterInWord;
		boolean cipheredWord=false;
		for(int index=0; index <alphabet.length && cipheredWord == false; index++) //gets the index of the characterToCode in the alphabet 
		{   
			if(Character.isUpperCase(letterInWord) && Character.isLetter(letterInWord))
			{
				if (letterInWord==alphabet[index])
				{
					codeCharacter=cipher[index];
					cipheredWord=true;
				}
			}
		}
		return codeCharacter;
	}
	//writes the alphabet as a caesar code
	public static char[] cipheredAlphabet(char[] alphabet, int k)
	{
		char[] coded=new char[26];
		for(int i=0;i<26; i++)
		{
			if (i+k < alphabet.length)
			{
				coded[i]= alphabet[i+k];
			}else {
				for(int j=0;j<k; j++)
				{
					coded[i]= alphabet[j];
					i++;
				}
			}
		}
		return coded;
	}
}
